package de.ivu.elect.presentation.ergebnis.exchange;

import java.io.Serializable;

import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisDateiQuelle;
import de.ivu.elect.business.ergebnis.entity.Ergebnisart;

// ELECT-2462
@ViewAccessScoped
@Named(SelectedErgebnisImportBestaetigenValue.COMPONENT_NAME)
public class SelectedErgebnisImportBestaetigenValue implements Serializable {

  public static final String COMPONENT_NAME = "selectedErgebnisImportBestaetigenValue";

  private AbstractErgebnisImportBestaetigenView importBestaetigenView;

  public ErgebnisDateiQuelle getQuelle() {
    return importBestaetigenView.getQuelle();
  }

  public void setQuelle(ErgebnisDateiQuelle quelle) {
    importBestaetigenView.setQuelle(quelle);
  }

  public Ergebnisart getZiel() {
    return importBestaetigenView.getZiel();
  }

  public void setZiel(Ergebnisart ergebnisart) {
    importBestaetigenView.setZiel(ergebnisart);
  }

  public AbstractErgebnisImportBestaetigenView getImportBestaetigenView() {
    return importBestaetigenView;
  }

  public void setImportBestaetigenView(AbstractErgebnisImportBestaetigenView importBestaetigenView) {
    this.importBestaetigenView = importBestaetigenView;
  }
}
